Supercheck LogoSupercheck
Organizations API

Remove a member

Remove a member and their project assignments in this organization. Cannot remove the owner or yourself. Only org_owner can remove org_admin members. Requires an interactive browser session. Project-scoped CLI tokens receive 403.

DELETE
/api/organizations/members/{memberId}

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

Interactive Better Auth browser session. Secure deployments may use the __Secure- cookie prefix.

Path Parameters

memberId*string

User ID of the organization member

Response Body

Member removed

application/json
  1. response
success?boolean
message?string
data?
Example Request
curl -X DELETE 'https://demo.supercheck.dev/api/organizations/members/string'
Example Response
{  "success": true,  "message": "string",  "data": {    "memberId": "string",    "removedRole": "string"  }}